{% import "bootstrap/utils.html" as utils %}
{% import "bootstrap/wtf.html" as wtf %}
{% from "_formhelpers.html" import render_field %}
{% extends "Dash_layout.html" %}
{% block content %}   
<div class="page-wrapper">
    <div class="container-fluid">
            <div>
              <a href="{{ url_for('dash.tickets')}}" class="btn btn-success"><i class="m-r-10 mdi mdi-newspaper"></i> All tickets</a>
            </div>

            <center>
                {% if error %}
                <p class=error><strong>Error:</strong> {{ error }}
                {% endif %}
                <br>
                {% with messages = get_flashed_messages(with_categories=true) %}
                {% if messages %}
                <div class="alert alert-{{ messages.0.0 }}" role="alert">
                {% for category, message in messages %}
                {{ message }} </br>
                {% endfor %}
                *</div>
                {% endif %}
                {% endwith %}
                </center>
                <br>

                <div class="container">


                    <div class="card">
                        <div class="card-body">
                            <h3>
                          <i class="m-r-10 mdi mdi-account-circle"></i> : By {{ticks.users.username}} <br><br>
                           <i class="m-r-10 mdi mdi-format-title"></i> : Subject || {{ticks.sub}} <br><br>
                          <i class="m-r-10 mdi mdi-timelapse"></i> : At {{ticks.support_time.strftime('%A,%d,%Y || %H:%M')}}
                          <br><br>
                          <i class="m-r-10 mdi mdi-ethernet-cable-off"></i> :  || 

                          {%if ticks.is_closed == 1%}
                                  <span class="label label-rounded label-danger">Closed</span>
                                  {%else%}
                                  <span class="label label-rounded label-primary">Open</span>
                                  {%endif%}

                           <br><br>
                          <i class="m-r-10 mdi mdi-message-bulleted"></i> :  {{ticks.msg}}
                          </h3>
                    </div>

                    </div>

                    {%for comment in comments %}
                <div class="card">
                        <div class="card-body">
                            <h3> <i class="m-r-10 mdi mdi-account-circle" style="color: red;"></i> Replay by : {{comment.users.username}}</h3>
                            <h5>{{comment.comm}}</h5>
                        </div>
                </div>
                    {%endfor%}



                    <div class="card">
                        <div class="card-body">
                            <form class="form-horizontal form-material" method="POST">
                                {{ form.csrf_token }}
                                {{ ckeditor.load() }}
                                {{ ckeditor.config(name='msg') }}
                                
                               <div class="form-group">
                                        <label class="col-md-12">Replay : </label>
                                        <div class="col-md-12">
                                            {{ form.msg(rows=3, class_="form-control form-control-line")}}
                                        </div>
                                        {% for error in form.msg.errors %}<span style="color: red;">{{ error }}</span>{% endfor %}
                                    </div>
                             
                                <div class="form-group">
                                    <div class="col-sm-12">
                                        <button class="btn btn-success" name="submit"><i class="m-r-10 mdi mdi-send"></i> Replay</button>
                                        <a href="" class="btn btn-danger"><i class="m-r-10 mdi mdi-close-circle-outline"></i> Close</a>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
                

    </div>
</div>


    {% endblock content %}